[Qa-jenkins-scm] [jenkins.debian.net] 01/01: reproducible: point out how many 'binNMU's are missing

Holger Levsen holger at moszumanska.debian.org
Sun Aug 2 16:00:39 UTC 2015


This is an automated email from the git hooks/post-receive script.

holger pushed a commit to branch master
in repository jenkins.debian.net.

commit 4c3a59da9cb0f84ca5c44dba7671e3c7537d1540
Author: Holger Levsen <holger at layer-acht.org>
Date:   Sun Aug 2 17:59:35 2015 +0200

    reproducible: point out how many 'binNMU's are missing
---
 bin/reproducible_html_dashboards.sh            | 4 ++++
 bin/reproducible_html_repository_comparison.sh | 3 +++
 2 files changed, 7 insertions(+)

diff --git a/bin/reproducible_html_dashboards.sh b/bin/reproducible_html_dashboards.sh
index e16999c..fbe26a9 100755
--- a/bin/reproducible_html_dashboards.sh
+++ b/bin/reproducible_html_dashboards.sh
@@ -352,6 +352,10 @@ create_main_stats_page() {
 	write_page "<tr><td>packages <a href=\"/index_repositories.html\">modified in our toolchain</a> (in unstable)</td><td>$(echo $RESULT)</td></tr>"
 	RESULT=$(cat /srv/reproducible-results/modified_in_exp.txt || echo "unknown")	# written by reproducible_html_repository_comparison.sh
 	write_page "<tr><td>  - (in experimental)</td><td>$(echo $RESULT)</td></tr>"
+	RESULT=$(cat /srv/reproducible-results/binnmus_needed.txt || echo "unknown")	# written by reproducible_html_repository_comparison.sh
+	if [ "$RESULT" != "0" ] ; then
+		write_page "<tr><td>packages in our repo which need \"binNMU\"s<br />(work in progress)</td><td>$(echo $RESULT)</td></tr>"
+	fi
 	write_page "</table>"
 	# write bugs with usertags table
 	write_usertag_table
diff --git a/bin/reproducible_html_repository_comparison.sh b/bin/reproducible_html_repository_comparison.sh
index e448a71..ab4abd2 100755
--- a/bin/reproducible_html_repository_comparison.sh
+++ b/bin/reproducible_html_repository_comparison.sh
@@ -20,6 +20,7 @@ TMPFILE=$(mktemp --tmpdir=$TEMPDIR repo-comp-XXXXXXXXX)
 
 MODIFIED_IN_SID=0
 MODIFIED_IN_EXP=0
+BINNMUS_NEEDED=0
 
 echo "$(date) - starting to write $PAGE page."
 write_page_header $VIEW "Comparison between the reproducible builds apt repository and regular Debian suites"
@@ -121,6 +122,7 @@ for PKG in $SOURCEPKGS ; do
 				i="$ARCH: $i"
 			elif [ -z "$i" ] && [ "$ARCH" != "all" ] && ! $ONLYALL ; then
 				i="<span class=\"red\">no binaries for $ARCH</span>"
+				let "BINNMUS_NEEDED+=1"
 			fi
 			CBINARIES="$CBINARIES<br />$i"
 		done
@@ -206,6 +208,7 @@ write_page_footer
 publish_page
 echo "$MODIFIED_IN_SID" > /srv/reproducible-results/modified_in_sid.txt
 echo "$MODIFIED_IN_EXP" > /srv/reproducible-results/modified_in_exp.txt
+echo "$BINNMUS_NEEDED" > /srv/reproducible-results/binnmus_needed.txt
 
 # cleanup
 rm $SOURCES $PACKAGES $TMPFILE

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git



More information about the Qa-jenkins-scm mailing list